Phpstorm - nova verzija php-a


#1

Pozdrav!

Koristim Phpstorm editor. Koristim 8.0.1. verziju.
Kako mogu postaviti novu verziju php-a?
Ono što mi nudi u postavkama je 5.3-5.6.


#2

Preferences > Languages & Frameworks > PHP > PHP language level


#3

jedino što mi nudi je ovo…
potrebna mi je novije verzija jer ne prepoznaje neke dijelove koda…


#4

Vjerujem da je do verzije PHPStorma. Probaj s nesto novijom (mislim da tek od verzije 9 je dodan support za PHP7).


#5

Napravi upgrade php-a.

Phpstorm za pojedince je 9 eura mj, tako da je to kiki riki lova.


#6

I dakle nema mogućnosti da downloadam na komp novu verziju i nekako uključim u editor?


#7

Podrška za PHP 7.0 je uvršćena da l’ u PHPStorm v9 ili PHPStorm V10
tako da licenca za v8 ne podržava PHP 7.

Stackoverflow link.
Jetbrains tracker link.


#8

Nisam bas skuzio – novu verziju cega?

Verzija PHP-a i level podrska za jezik u IDE-u nemaju veze jedno s drugim.
Teoretski mozes imati samo verziju PHP-a 5.6 instaliranu, a da u PhpStormu koristis npr podrsku za PHP 7.2.

Primjera radi, ja niti nemam PHP instaliran lokalno na hostu na kojem vrtim PhpStorm, nego koristim Docker za izvrsavanje PHP skripti. Ali to me ne sprjecava da mijenjam razinu podrske IDE-a za PHP 7.1, 7.2 ili neku drugu verziju.